## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate ecdsa

Name:           rust-ecdsa
Version:        0.16.8
Release:        %autorelease
Summary:        Pure Rust implementation of the Elliptic Curve Digital Signature Algorithm

License:        Apache-2.0 OR MIT
URL:            https://crates.io/crates/ecdsa
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * relax signature dependency
Patch:          ecdsa-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Pure Rust implementation of the Elliptic Curve Digital Signature
Algorithm (ECDSA) as specified in FIPS 186-4 (Digital Signature
Standard), providing RFC6979 deterministic signatures as well as support
for added entropy.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+arithmetic-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+arithmetic-devel %{_description}

This package contains library source intended for building other packages which
use the "arithmetic" feature of the "%{crate}" crate.

%files       -n %{name}+arithmetic-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+der-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+der-devel %{_description}

This package contains library source intended for building other packages which
use the "der" feature of the "%{crate}" crate.

%files       -n %{name}+der-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dev-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dev-devel %{_description}

This package contains library source intended for building other packages which
use the "dev" feature of the "%{crate}" crate.

%files       -n %{name}+dev-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+digest-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+digest-devel %{_description}

This package contains library source intended for building other packages which
use the "digest" feature of the "%{crate}" crate.

%files       -n %{name}+digest-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+hazmat-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+hazmat-devel %{_description}

This package contains library source intended for building other packages which
use the "hazmat" feature of the "%{crate}" crate.

%files       -n %{name}+hazmat-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+pem-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pem-devel %{_description}

This package contains library source intended for building other packages which
use the "pem" feature of the "%{crate}" crate.

%files       -n %{name}+pem-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+pkcs8-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pkcs8-devel %{_description}

This package contains library source intended for building other packages which
use the "pkcs8" feature of the "%{crate}" crate.

%files       -n %{name}+pkcs8-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rfc6979-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rfc6979-devel %{_description}

This package contains library source intended for building other packages which
use the "rfc6979" feature of the "%{crate}" crate.

%files       -n %{name}+rfc6979-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serdect-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serdect-devel %{_description}

This package contains library source intended for building other packages which
use the "serdect" feature of the "%{crate}" crate.

%files       -n %{name}+serdect-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+sha2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+sha2-devel %{_description}

This package contains library source intended for building other packages which
use the "sha2" feature of the "%{crate}" crate.

%files       -n %{name}+sha2-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+signing-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+signing-devel %{_description}

This package contains library source intended for building other packages which
use the "signing" feature of the "%{crate}" crate.

%files       -n %{name}+signing-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+spki-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+spki-devel %{_description}

This package contains library source intended for building other packages which
use the "spki" feature of the "%{crate}" crate.

%files       -n %{name}+spki-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+verifying-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+verifying-devel %{_description}

This package contains library source intended for building other packages which
use the "verifying" feature of the "%{crate}" crate.

%files       -n %{name}+verifying-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jul 21 2023 Fabio Valentini <decathorpe@gmail.com> - 0.16.8-1
- Update to version 0.16.8; Fixes RHBZ#2224463

* Sun Jun 11 2023 Fabio Valentini <decathorpe@gmail.com> - 0.16.7-1
- Initial import (#2213265)
